Bug 800899 - (spacewalk-pylint) Review Request: spacewalk-pylint - Pylint configuration for spacewalk python packages
Review Request: spacewalk-pylint - Pylint configuration for spacewalk python ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Radej
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F-Spacewalk
  Show dependency treegraph
 
Reported: 2012-03-07 08:41 EST by Miroslav Suchý
Modified: 2014-11-05 06:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-04 10:00:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tradej: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2012-03-07 08:41:52 EST
SRPM: http://miroslav.suchy.cz/fedora/spacewalk-pylint/spacewalk-pylint-0.3-1.fc16.src.rpm
SPEC: http://miroslav.suchy.cz/fedora/spacewalk-pylint/spacewalk-pylint.spec

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3863550

rpmlint:
$ rpmlint /tmp/spacewalk-build/spacewalk-pylint-0.3-1.fc16.src.rpm /tmp/spacewalk-build/noarch/spacewalk-pylint-0.3-1.fc16.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Tomas Radej 2012-05-14 02:23:21 EDT
Taking it.
Comment 2 Tomas Radej 2012-05-16 11:00:53 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[-]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Issues:
[!]: MUST License field in the package spec file matches the actual license.
>>>> GPLv2+ is specified, GPLv2 found on project's website (see
>>>> https://fedorahosted.org/spacewalk/browser/LICENSE )

[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
>>>> Please, stick to using only one of these macros throughout the spec file


Notes
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
>>>> Since the package is intended for RHEL5 too, ignore these

[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
>>>> Would be nice to have

Rpmlint
-------
Checking: spacewalk-pylint-0.3-1.fc18.noarch.rpm
          spacewalk-pylint-0.3-1.fc18.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
/var/lib/mock/fedora-rawhide-x86_64/result/spacewalk-pylint-0.3-1.fc18.noarch.rpm:
    /bin/sh  
    config(spacewalk-pylint) = 0.3-1.fc18
    pylint  
    
Provides
--------
/var/lib/mock/fedora-rawhide-x86_64/result/spacewalk-pylint-0.3-1.fc18.noarch.rpm:
    config(spacewalk-pylint) = 0.3-1.fc18
    spacewalk-pylint = 0.3-1.fc18
    
MD5-sum check
-------------
/home/tradej/reviews/800899/spacewalk-pylint-0.3.tar.gz :
  MD5SUM this package     : 6449170b4bf47b1634cc1e95aa89da72
  MD5SUM upstream package : 4169ba73e6debe900cfa2882d56f0364
However, diff -r shows no differences


Generated by fedora-review 0.2.0git
External plugins:


*** NOT APPROVED ***
Comment 3 Miroslav Suchý 2012-05-16 11:34:40 EDT
I'm not sure why the md5 mismatch, when I download spacewalk-pylint-0.3.tar.gz I got md5sum 6449170b4bf47b1634cc1e95aa89da72 too.

Anyway, all other issues addressed, Updated:

SRPM:
http://miroslav.suchy.cz/fedora/spacewalk-pylint/spacewalk-pylint-0.4-1.fc16.src.rpm
SPEC: http://miroslav.suchy.cz/fedora/spacewalk-pylint/spacewalk-pylint.spec
Comment 4 Tomas Radej 2012-05-30 02:42:41 EDT
I'm not sure either, but since diff is clean, it doesn't matter.

Good to go.
Comment 5 Miroslav Suchý 2012-06-04 08:51:59 EDT
New Package SCM Request
=======================
Package Name: spacewalk-pylint
Short Description: Pylint configuration for spacewalk python packages
Owners: msuchy
Branches: F-17, F-16, EL-5, EL-6
InitialCC:
Comment 6 Gwyn Ciesla 2012-06-04 09:16:43 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-06-04 09:52:14 EDT
spacewalk-pylint-0.5-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/spacewalk-pylint-0.5-1.el5
Comment 8 Fedora Update System 2012-06-04 09:57:10 EDT
spacewalk-pylint-0.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/spacewalk-pylint-0.5-1.el6
Comment 9 Fedora Update System 2012-06-04 09:57:37 EDT
spacewalk-pylint-0.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/spacewalk-pylint-0.5-1.fc17
Comment 10 Fedora Update System 2012-06-04 09:58:24 EDT
spacewalk-pylint-0.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/spacewalk-pylint-0.5-1.fc16
Comment 11 Fedora Update System 2012-06-14 20:20:35 EDT
spacewalk-pylint-0.5-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-06-14 20:32:01 EDT
spacewalk-pylint-0.5-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2012-06-22 11:58:58 EDT
spacewalk-pylint-0.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 14 Fedora Update System 2012-06-22 11:59:59 EDT
spacewalk-pylint-0.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 15 Miroslav Suchý 2014-11-03 05:56:48 EST
Package Change Request
======================
Package Name: spacewalk-pylint
New Branches: epel7
Owners: msuchy
InitialCC:
Comment 16 Gwyn Ciesla 2014-11-03 08:08:40 EST
Git done (by process-git-requests).
Comment 17 Miroslav Suchý 2014-11-04 14:12:04 EST
branch epel7 was not created, can you investigate that Jon? I will try to submit it again.
Comment 18 Miroslav Suchý 2014-11-04 14:12:29 EST
Package Change Request
======================
Package Name: spacewalk-pylint
New Branches: epel7
Owners: msuchy
InitialCC:
Comment 19 Gwyn Ciesla 2014-11-04 14:48:12 EST
https://fedorahosted.org/rel-eng/ticket/6028

Being investigated. . .
Comment 20 Gwyn Ciesla 2014-11-05 06:39:20 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.